package com.getui.oneId;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

import com.getui.oneid.OneCallback;
import com.getui.oneid.OneIDManager;

import org.json.JSONException;
import org.json.JSONObject;

/**
 * Created by chengx on 2024/07/31.
 */

public class OneIdActivity extends Activity implements OnClickListener {
    private Button mInitBtn;
    private TextView mResultTv;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_onid);
        initView();
    }

    private void initView() {
        mInitBtn = findViewById(R.id.init_btn);
        mResultTv = findViewById(R.id.result_tv);
        mInitBtn.setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.init_btn:
                // 初始化接口重复调用无效
                OneIDManager.getInstance().initialize(this, new OneCallback() {
                    @Override
                    public void onSuccess(final String oneResponse) {
                        Log.d("OneIdActivity", oneResponse);
                        OneIdActivity.this.runOnUiThread(new Runnable() {
                            @Override
                            public void run() {
                                try {
                                    mResultTv.setText("初始化成功：" + new JSONObject(oneResponse).toString(2));
                                } catch (JSONException e) {
                                    e.printStackTrace();
                                }
                            }
                        });
                    }

                    @Override
                    public void onFailure(final Throwable throwable) {
                        Log.d("OneIdActivity", throwable.toString());
                        OneIdActivity.this.runOnUiThread(new Runnable() {
                            @Override
                            public void run() {
                                mResultTv.setText("初始化成功：" + throwable);
                            }
                        });
                    }
                });
                break;
            default:
                break;
        }
    }

}
